Info
2 API calls in this section.
List Restaurants
Public APIs / Public / Info
GET
/public/restaurants?search={{search}}&page={{page}}&limit={{limit}}&lang={{lang}}Most OnDi APIs require an authenticated session or service token. Public endpoints are marked by their path and module context.
Request
curl
1curl --request GET "$ONDI_BASE_URL/public/restaurants?search={{search}}&page={{page}}&limit={{limit}}&lang={{lang}}" \2 --header "Authorization: Bearer $ONDI_ACCESS_TOKEN"Query parameters
searchOptionalquery string
{{search}}
pageOptionalquery string
{{page}}
limitOptionalquery string
{{limit}}
langOptionalquery string
{{lang}}
Responses
No response example is available for this endpoint yet.
Get Restaurant Info
Public APIs / Public / Info
GET
/public/restaurant/:slug/infoMost OnDi APIs require an authenticated session or service token. Public endpoints are marked by their path and module context.
Request
curl
1curl --request GET "$ONDI_BASE_URL/public/restaurant/:slug/info" \2 --header "Authorization: Bearer $ONDI_ACCESS_TOKEN"Path parameters
slugRequiredpath string
Responses
No response example is available for this endpoint yet.